> ## Documentation Index
> Fetch the complete documentation index at: https://docs.volteras.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Vin Connect

> Connect multiple VINs to the current organization.
By default this endpoint is not enabled for organizations, please contact us to get access.
Limited to 100 VINs per request.


Possible Codes in Error Response (see [Errors](https://docs.volteras.com/api-reference/errors) for error response schema and meaning of codes):

- AUTHENTICATION_ERROR
- DEVICE_LIMIT_REACHED
- NOT_PERMITTED
- REQUEST_VALIDATION_ERROR
- RESOURCE_NOT_FOUND
- SERVER_ERROR



## OpenAPI

````yaml post /v1/vehicles/connect
openapi: 3.1.0
info:
  title: VOLTERAS CONNECT
  version: 0.1.0
servers:
  - url: https://api.volteras.com
  - url: https://api.sandbox.volteras.com
security: []
paths:
  /v1/vehicles/connect:
    post:
      tags:
        - Vehicle Connection
      summary: Bulk Vin Connect
      description: >-
        Connect multiple VINs to the current organization.

        By default this endpoint is not enabled for organizations, please
        contact us to get access.

        Limited to 100 VINs per request.



        Possible Codes in Error Response (see
        [Errors](https://docs.volteras.com/api-reference/errors) for error
        response schema and meaning of codes):


        - AUTHENTICATION_ERROR

        - DEVICE_LIMIT_REACHED

        - NOT_PERMITTED

        - REQUEST_VALIDATION_ERROR

        - RESOURCE_NOT_FOUND

        - SERVER_ERROR
      operationId: Bulk_VIN_connect_v1_vehicles_connect_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkConnectVehicleRequest'
        required: true
      responses:
        '202':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkConnectVehicleResponse'
      security:
        - OAuth2ClientCredentialsBearer: []
components:
  schemas:
    BulkConnectVehicleRequest:
      properties:
        vehicles:
          items:
            $ref: '#/components/schemas/ConnectVehicleRequest'
          type: array
          maxItems: 100
          title: Vehicles
          description: The vehicles to connect
      type: object
      required:
        - vehicles
      title: BulkConnectVehicleRequest
      description: Request model to connect multiple VINs
    BulkConnectVehicleResponse:
      properties:
        id:
          type: string
          title: Id
        status:
          $ref: '#/components/schemas/VehicleInputGroupStatusEnum'
        createdAt:
          type: string
          format: date-time
          title: Createdat
      type: object
      required:
        - id
        - status
        - createdAt
      title: BulkConnectVehicleResponse
      description: Response for async bulk vehicle upload endpoint on connect-api
    ConnectVehicleRequest:
      properties:
        vin:
          type: string
          title: Vin
          description: Vehicle identification number. Unique identifier for the vehicle.
        make:
          type: string
          enum:
            - ABARTH
            - ALFA ROMEO
            - AUDI
            - BMW
            - CHRYSLER
            - CITROEN
            - CUPRA
            - DODGE
            - DS AUTOMOBILES
            - FIAT
            - FORD
            - HYUNDAI
            - JEEP
            - KIA
            - LANCIA
            - LEXUS
            - MASERATI
            - MERCEDES BENZ
            - MINI
            - NISSAN
            - OPEL
            - PEUGEOT
            - POLESTAR
            - RAM
            - RENAULT
            - SEAT
            - SKODA
            - TESLA
            - TOYOTA
            - VAUXHALL
            - VOLKSWAGEN
            - VOLVO
          title: MakeEnum
          description: Manufacturer of the vehicle
        countryCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Countrycode
          description: >-
            ISO two-character country code (ISO 3166-1 alpha-2, e.g. 'US', 'GB',
            'FR') of the vehicle, used for retrieving vehicle specifications
            data. If not populated, will use the default setting (if set).
        registrationPlate:
          anyOf:
            - type: string
            - type: 'null'
          title: Registrationplate
          description: Vehicle registration plate
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
          description: Vehicle model
        modelYear:
          anyOf:
            - type: integer
            - type: 'null'
          title: Modelyear
          description: >-
            Vehicle model year (the year the model was released, not the year of
            manufacture)
        batteryCapacity:
          anyOf:
            - type: number
            - type: 'null'
          title: Batterycapacity
          description: >-
            Nominal (IE when manufactured) battery capacity in kWh of the
            vehicle
        horsepower:
          anyOf:
            - type: integer
            - type: 'null'
          title: Horsepower
          description: Vehicle horsepower
        generation:
          anyOf:
            - type: string
            - type: 'null'
          title: Generation
          description: Vehicle generation
        wltpRange:
          anyOf:
            - type: number
            - type: 'null'
          title: Wltprange
          description: WLTP range of the vehicle in km
        registrationDate:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Registrationdate
          description: >-
            Vehicle registration date (ISO 8601, day granularity). Must be on or
            before today. Used as the date-axis baseline for the
            service-interval cycle when the `DERIVED_SERVICING_REMINDER` setting
            is enabled for the organization.
        tags:
          anyOf:
            - items:
                $ref: '#/components/schemas/Tag'
              type: array
            - type: 'null'
          title: Tags
          description: >-
            Tags to associate with the vehicle, for example IDs you want to
            associate with it, that will then be returned when you fetch the
            vehicle and can be used to filter vehicles in the list vehicle
            endpoint.
      type: object
      required:
        - countryCode
        - vin
        - make
      title: ConnectVehicleRequest
      description: Request model to connect a single VIN
    VehicleInputGroupStatusEnum:
      type: string
      enum:
        - CREATED
        - PROCESSING
        - COMPLETED
        - FAILED
      title: VehicleInputGroupStatusEnum
    Tag:
      properties:
        key:
          type: string
          maxLength: 150
          title: Key
        value:
          type: string
          maxLength: 150
          title: Value
      type: object
      required:
        - key
        - value
      title: Tag
  securitySchemes:
    OAuth2ClientCredentialsBearer:
      type: oauth2
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /v1/oauth2/token

````